# An enumerated list of settings which are permitted to be managed by this
# module.
type Puppet_agent::Config_setting = Enum[
  agent_catalog_run_lockfile,
  agent_disabled_lockfile,
  allow_duplicate_certs,
  always_retry_plugins,
  autoflush,
  autosign,
  basemodulepath,
  binder_config,
  bucketdir,
  ca_fingerprint,
  ca_name,
  ca_port,
  ca_server,
  ca_ttl,
  cacert,
  cacrl,
  cadir,
  cakey,
  capub,
  catalog_cache_terminus,
  catalog_terminus,
  cert_inventory,
  certdir,
  certificate_revocation,
  certname,
  ciphers,
  classfile,
  client_datadir,
  clientbucketdir,
  clientyamldir,
  code,
  codedir,
  color,
  confdir,
  config,
  config_file_name,
  config_version,
  configprint,
  crl_refresh_interval,
  csr_attributes,
  csrdir,
  daemonize,
  data_binding_terminus,
  default_file_terminus,
  default_manifest,
  default_schedules,
  deviceconfdir,
  deviceconfig,
  devicedir,
  diff,
  diff_args,
  digest_algorithm,
  disable_i18n,
  disable_per_environment_manifest,
  disable_warnings,
  dns_alt_names,
  document_all,
  environment,
  environment_data_provider,
  environment_timeout,
  environment_timeout_mode,
  environmentpath,
  evaltrace,
  external_nodes,
  facterng,
  factpath,
  facts_terminus,
  fileserverconfig,
  filetimeout,
  forge_authorization,
  freeze_main,
  func3x_check,
  future_features,
  genconfig,
  genmanifest,
  graph,
  graphdir,
  group,
  hiera_config,
  hostcert,
  hostcrl,
  hostcsr,
  hostprivkey,
  hostpubkey,
  http_connect_timeout,
  http_debug,
  http_extra_headers,
  http_keepalive_timeout,
  http_proxy_host,
  http_proxy_password,
  http_proxy_port,
  http_proxy_user,
  http_read_timeout,
  http_user_agent,
  ignore_plugin_errors,
  ignoremissingtypes,
  ignoreschedules,
  key_type,
  keylength,
  lastrunfile,
  lastrunreport,
  ldapattrs,
  ldapbase,
  ldapclassattrs,
  ldapparentattr,
  ldappassword,
  ldapport,
  ldapserver,
  ldapssl,
  ldapstackedattrs,
  ldapstring,
  ldaptls,
  ldapuser,
  libdir,
  localcacert,
  localedest,
  localesource,
  log_level,
  logdest,
  logdir,
  manage_internal_file_permissions,
  manifest,
  masterport,
  max_deprecations,
  max_errors,
  max_warnings,
  maximum_uid,
  maxwaitforcert,
  maxwaitforlock,
  merge_dependency_warnings,
  mkusers,
  module_groups,
  module_repository,
  module_working_dir,
  modulepath,
  name,
  named_curve,
  no_proxy,
  node_cache_terminus,
  node_name,
  node_name_fact,
  node_name_value,
  node_terminus,
  noop,
  onetime,
  passfile,
  path,
  pidfile,
  plugindest,
  pluginfactdest,
  pluginfactsource,
  pluginsignore,
  pluginsource,
  pluginsync,
  postrun_command,
  preferred_serialization_format,
  prerun_command,
  preview_outputdir,
  priority,
  privatedir,
  privatekeydir,
  profile,
  publickeydir,
  puppet_trace,
  puppetdlog,
  report,
  report_include_system_store,
  report_port,
  report_server,
  reportdir,
  reports,
  reporturl,
  requestdir,
  resourcefile,
  rest_authconfig,
  resubmit_facts,
  rich_data,
  route_file,
  rundir,
  runinterval,
  runtimeout,
  serial,
  server,
  server_datadir,
  server_list,
  serverport,
  show_diff,
  signeddir,
  skip_tags,
  sourceaddress,
  splay,
  splaylimit,
  srv_domain,
  ssl_client_ca_auth,
  ssl_client_header,
  ssl_client_verify_header,
  ssl_lockfile,
  ssl_server_ca_auth,
  ssl_trust_store,
  ssldir,
  statedir,
  statefile,
  statettl,
  static_catalogs,
  storeconfigs,
  storeconfigs_backend,
  strict,
  strict_environment_mode,
  strict_hostname_checking,
  strict_variables,
  summarize,
  supported_checksum_types,
  syslogfacility,
  tags,
  tasks,
  trace,
  transactionstorefile,
  trusted_external_command,
  trusted_oid_mapping_file,
  use_cached_catalog,
  use_srv_records,
  usecacheonfailure,
  user,
  vardir,
  vendormoduledir,
  versioned_environment_dirs,
  waitforcert,
  waitforlock,
  yamldir
]
